

#define OFF_INDEXED_POLY_MAGIC	0xFEEDFEEDL
#define OFF_GENERIC_MAGIC	0xBEEFBEEFL
#define OFF_INDEXED_MAGIC	0xBADBADBAL

#define OFF_BIGSTR		256
#define OFF_SMSTR		40

#define	OFF_ASCII		0
#define	OFF_BINARY		1


/* Types of data for object properties  */

#define OFF_UNKNOWN_TYPE_DATA	0
#define OFF_STANDARD_DATA	1
#define OFF_COMMENT_DATA	2
#define OFF_DEFAULT_DATA	3
#define OFF_GENERIC_DATA	4
#define OFF_INDEXED_POLY_DATA	5
#define OFF_INDEXED_DATA	6


typedef struct _OFFProp
    {
    char	PropName[OFF_SMSTR];	/* Name of property (or attribute)   */
    int		PropType;		/* Type of data for property         */
    char	PropFileName[OFF_BIGSTR];/* Name of file that has prop data */
    char	DataFormat[OFF_SMSTR];	/* Pointer to property data format   */
    int		PropCount;		/* Number of data items for property */
    char	*PropData;		/* Pointer to property data	     */
    struct _OFFProp *NextProp;		/* Pointer to next property in list  */
    } OFFProperty;

typedef struct
    { 
    OFFProperty	*FirstProp;		/* Pointer to first property in list */
    } OFFObjDesc;

OFFObjDesc *OFFCreateObj();
OFFProperty *OFFAddProperty();
